Deposits SEPA Transfers

With your Bitso account, you can receive EUR in a provided European bank account, and Bitso credits the equivalent amount in USD stablecoins at the current exchange rate. You must be an onboarded business client to use this feature. For details on customer onboarding (Step 1), see the section, Customer Onboarding.

The article presently in view drills into the following steps of this flow:

  • Step 2: Submit a deposit intent
  • Step 3: Perform the transfer of EUR funds
🚧

Fees

Regardless of the amount deposited, any on-ramp causes a fixed and a variable fee, which Bitso always deducts from your account's USD stablecoin balance.

The service subtracts the fee amount from the amount specified in your deposit intent. As a result, the amount you receive is smaller than the one set.

Also, fluctuations in exchange rates may cause the amount received to vary slightly.

For further details on fees, transactions' settling time, terms and conditions, and limitations, refer to your Account Manager, [email protected], or Customer Support, [email protected].

Submitting a Deposit Intent

Before you can transfer EUR funds into your USD stablecoin balance, you need to retrieve the deposit instructions from Bitso’s service by generating a deposit intent.

The deposit instructions include the following:

  • The deposit message: Specifies a unique identifier your sender must include in the wire memo or message. The deposit message is unique per transfer.
  • The recipient bank data: Defines the account to which your sender should forward the deposit. It is an account of our licensed partner, who provides the gateway to transition from fiat to cryptocurrency.

To generate a deposit intent, make an HTTP call to the following endpoint using the appropriate body parameters:

POST https://api-stage.bitso.com/v3/payments/usd/bridge/deposit-intents

Body Parameter

  • amount: The amount to be deposited in EUR. Consider that fees are deducted from this amount. In the response sample below, the amount to deposit is 10.00 EUR, but the amount to receive is 8.60 USD stablecoins (without considering exchange rate fluctuations). Specify this figure as a string.
  • protocol: A specific mechanism, protocol, or standard used in a network to transfer funds. When omitted, this parameter defaults to wire, so ensure to set it to sepa when submitting a deposit intent for EUR.

A successful deposit-intent call returns the following response object:

{
    "success": true,
    "payload": {
        "id": "2e403916-9360-4250-a1f2-7ba2692501d7",
        "status": "pending",
        "amount": 10.0,
        "fee_amount": 2.01,
        "account_owner_name": "Bridge Building Sp.z.o.o.",
        "imad": null,
        "omad": null,
        "created_at": "2025-04-10T22:45:42.961+00:00",
        "bank": {
            "name": "Bank of Nowhere",
            "address": "1800 Nowhere Ave., London E41 2RF, United Kingdom",
            "routing_number": null,
            "account_number": null,
            "beneficiary_name": "Bridge Building Sp.z.o.o.",
            "iban": "GB63MOCK00000003615430",
            "bic": "MOCKGB21"
        },
        "deposit_message": "BRGSM999N5WBJ3VDMNP9",
        "last_4": null
    }
}

Some of the variables returned in the response body represent the following:

  • account_owner_name: The name of the entity who owns the bank account to which your sender must wire the EUR funds.
  • bank: The details of the bank account to which your sender must wire the EUR funds.
  • deposit_message: The identifier your sender must include in the wire message or wire memo. Failure to properly document this identifier in the wire message or memo may result in deposit rejection.
  • fee_amount: The cost of the transaction. The service computes it upon the amount specified in the amount body parameter of the deposit intent call.
  • last_4: The last four digits of your registered bank account, if there is one.
  • status: The deposit’s state. A deposit can be in one of three possible states:
    • PENDING: The service created the intended transaction and gave it an identifying deposit message. It is awaiting the arrival of the funds.
    • COMPLETE: The service completed the transaction successfully, and the funds are in your USD stablecoins balance.
    • FAILED: The system could not complete the deposit. A deposit fails when the funds are not wired but other reasons are also possible. Contact our Customer Support desk at [email protected] to ask for help.

🚀 You're all set to share the deposit details with your sender.

Transferring the Funds

Let your sender know about the following requirement.

🚧

Transfer information must match deposit intent.

When transferring the funds, ensure these two items are true:

  • The provided deposit message is included in the wire memo of the transaction.
  • The funding amount is equal to the one set in the deposit intent.

Failure to do so will prevent our licensed partner’s matching system from properly crediting you the funds and completing the transfer.

It is also vital that the bank account to which your sender wires the funds is precisely the one provided in the deposit-intent response. Bitso cannot help you recuperate funds transferred to an incorrect IBAN or account number.

Be aware of the following:

  • The recipient of your sender's transfer is a business bank account from which Bitso's licensed partner transfers the funds.
  • Transactions typically settle within 24 business hours from the time the sent wire becomes effective.
  • The sending bank can charge additional fees to the ones shown in your deposit instructions.
  • Bitso enforces limits on the amounts you can receive monthly and per transaction. Verify your limits on the Profile section of your Bitso application, and contact your account manager at [email protected] if you need to increase your limits to fit in your payments.

Did this page help you?